Organization API: Customer Portal: Mail
The 8 Organization API operations for mail.
Part of Customer Portal.
GET /api/v1/orgs/{org_slug}/portal/mail/services
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
PATCH /api/v1/orgs/{org_slug}/portal/mail/{service_id}/category
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
application/json (required)
| Field |
Type |
Required |
default_category |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}/events
| Name |
In |
Type |
Required |
Description |
org_slug |
path |
string |
yes |
|
service_id |
path |
integer |
yes |
|
category |
query |
string or null |
no |
|
recipient |
query |
string or null |
no |
|
hours |
query |
integer |
no |
Default: 24. |
limit |
query |
integer |
no |
Default: 100. |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/limits/increase-request
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
application/json (required)
| Field |
Type |
Required |
Description |
requested_per_hour |
integer |
yes |
|
reason |
string |
no |
What the relay sends and why the volume is going up |
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/messages
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
application/json (required)
| Field |
Type |
Required |
from |
string |
yes |
from_name |
string or null |
no |
to |
array of string |
yes |
cc |
array of string |
no |
subject |
string |
no |
text |
string or null |
no |
html |
string or null |
no |
reply_to |
string or null |
no |
headers |
Headers |
no |
category |
string or null |
no |
| Status |
Meaning |
202 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}/reputation
| Name |
In |
Type |
Required |
Description |
org_slug |
path |
string |
yes |
|
service_id |
path |
integer |
yes |
|
limit |
query |
integer |
no |
Default: 50. |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}/usage
| Name |
In |
Type |
Required |
Description |
org_slug |
path |
string |
yes |
|
service_id |
path |
integer |
yes |
|
days |
query |
integer |
no |
Default: 30. |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |